import axios from "@/api/axios";
import Constant from "@/utils/constant";

// 单个下载文件(推荐)
export function downloadSingle(fileId) {
  axios({
    url: `/core/system/files/${fileId}/other`,
    method: "get"
  }).then(res => {
    debugger
    // 获取临时文件链接成功,开始下载文件
    const a = document.createElement('a')
    // decodeURI(filename) 解码文件名
    a.download = ''
    a.href = Constant.baseURL + res.data.link
    document.body.append(a)
    a.click()
    document.body.removeChild(a)
  }).catch(err => {
    console.error(err.data.msg)
  });
}

// 批量下载文件（边压缩边下载）(推荐)
export function downloadBatch(fileIds) {
  axios({
    url: '/core/system/files/batch/other',
    method: "post",
    isList: true,
    data: {
      idList: fileIds
    }
  }).then(res => {
    // 获取临时文件链接成功,开始下载文件
    const a = document.createElement('a')
    // decodeURI(filename) 解码文件名
    a.download = ''
    a.href = Constant.baseURL + res.data.link
    document.body.append(a)
    a.click()
    document.body.removeChild(a)
  }).catch(err => {
    console.error(err.data.msg)
  });
}

// 单个下载文件（blob）(不推荐)
export function downloadSingleBlob(fileId) {
  axios({
    url: `/core/system/files/${fileId}/blob`,
    responseType: 'blob',
    method: "get"
  });
}

// 批量下载文件（blob）(强烈不推荐,文件超过150MB的情况下,非常卡)
export function downloadBatchBlob(fileIds) {
  axios({
    url: '/core/system/files/batch/blob',
    responseType: 'blob',
    method: "post",
    isList: true,
    data: {
      idList: fileIds
    }
  });
}
