import axios from "@/api/axios";

// 根据id获取定时任务信息
export function getById(id, headers) {
  return axios({
    url: "/core/system/jobs/" + id,
    method: "get",
    headers: headers
  });
}

// 获取定时任务分页列表
export function getList(params, headers) {
  return axios({
    url: "/core/system/jobs",
    method: "get",
    headers: headers,
    data: params
  });
}

// 新增定时任务
export function insert(params, headers) {
  return axios({
    url: "/core/system/jobs",
    method: "post",
    headers: headers,
    data: params
  });
}

// 修改定时任务
export function update(params, headers) {
  return axios({
    url: "/core/system/jobs",
    method: "put",
    headers: headers,
    data: params
  });
}

// 删除单个定时任务
export function deleteSingle(id, headers) {
  return axios({
    url: "/core/system/jobs/" + id,
    method: "delete",
    headers: headers
  });
}

// 批量删除定时任务
export function deleteBatch(idList, headers) {
  return axios({
    url: "/core/system/jobs/deletion",
    method: "post",
    isList: true,
    headers: headers,
    data: {idList: idList}
  });
}

// 更改定时任务运行状态
export function updateRunning(id, running, headers) {
  return axios({
    url: `/core/system/jobs/${id}/running`,
    method: "put",
    headers: headers,
    data: {running: running}
  });
}

// 立即执行单个定时任务
export function runJob(id, headers) {
  return axios({
    url: `/core/system/jobs/${id}/run`,
    method: "put",
    headers: headers
  });
}
