import axios from "@/api/axios";

// 获取服务器信息
export function getServerInfo(headers) {
  return axios({
    url: "/core/monitor/server",
    method: "get",
    headers: headers
  });
}

// 获取缓存列表
export function getCacheList(headers) {
  return axios({
    url: "/core/monitor/cache",
    method: "get",
    headers: headers
  });
}

// 清除缓存
export function deleteCache(cacheCodes, headers) {
  return axios({
    url: "/core/monitor/cache/deletion",
    method: "post",
    isList: true,
    headers: headers,
    data: {cacheCodes: cacheCodes}
  });
}

// 获取登录日志列表
export function getLoginLogList(params, headers) {
  return axios({
    url: "/core/monitor/login-logs",
    method: "get",
    headers: headers,
    data: params
  });
}

// 获取登录日志对象
export function getLoginLogById(id, headers) {
  return axios({
    url: "/core/monitor/login-logs/" + id,
    method: "get",
    headers: headers
  });
}

// 清空所有登录日志
export function deleteLoginLog(headers) {
  return axios({
    url: "/core/monitor/login-logs",
    method: "delete",
    headers: headers
  });
}

// 获取操作日志列表
export function getOperateLogList(params, headers) {
  return axios({
    url: "/core/monitor/operate-logs",
    method: "get",
    headers: headers,
    data: params
  });
}

// 获取操作日志对象
export function getOperateLogById(id, headers) {
  return axios({
    url: "/core/monitor/operate-logs/" + id,
    method: "get",
    headers: headers
  });
}

// 清空所有操作日志
export function deleteOperateLog(headers) {
  return axios({
    url: "/core/monitor/operate-logs",
    method: "delete",
    headers: headers
  });
}

// 获取定时任务日志列表
export function getJobLogList(params, headers) {
  return axios({
    url: "/core/monitor/job-logs",
    method: "get",
    headers: headers,
    data: params
  });
}

// 清空所有定时任务日志
export function deleteJobLog(headers) {
  return axios({
    url: "/core/monitor/job-logs",
    method: "delete",
    headers: headers
  });
}

// 获取PC在线用户列表
export function getPcOnlineList(params, headers) {
  return axios({
    url: "/core/monitor/online/pc",
    method: "get",
    data: params,
    headers: headers
  });
}

// 获取移动端在线用户列表
export function getMobileOnlineList(params, headers) {
  return axios({
    url: "/core/monitor/online/mobile",
    method: "get",
    data: params,
    headers: headers
  });
}

// 在线用户踢下线
export function kickOnlineUser(loginName, equipment, refreshTokenMd5, headers) {
  return axios({
    url: "/core/monitor/online/kick",
    method: "put",
    headers: headers,
    data: {loginName: loginName, equipment: equipment, refreshTokenMd5: refreshTokenMd5}
  });
}

