import Qs from "qs";
import axios from "@/api/axios";
// 获取组织列表
export function getList(params) {
  return axios({
    url: "/core/base/organization",
    method: "get",
    data: params
  });
}

// 获取所有的部门
export function getTreeNodes() {
  return axios({
    url: "/core/base/organization/tree-nodes",
    method: "get"
  });
}

//新增组织
export function insert(params, headers) {
  return axios({
    url: "/core/base/organization/insert",
    method: "post",
    headers: headers,
    data: params
  });
}
// 删除组织
export function deleteBatch(ids) {
  const data = {
    idList: ids,
  }
  return axios({
    url: "/core/base/organization/deletion",
    method: "delete",
    data: data,
    isList:true
  });
}
//停用启用
export function changeActived(id, actived) {
  return axios({
    url: "/core/base/organization/"+id+"/change-actived",
    method: "put",
    data: {actived: actived},
  });
}

//通过id查询实体
export function getId(id) {
  return axios({
    url: "/core/base/organization/" + id,
    method: "get"
  });
}

//编辑提交
export function update(params, headers) {
  return axios({
    url: "/core/base/organization/update",
    method: "put",
    headers: headers,
    data: params
  });
}
//调整父科室
export function changeParent(idList,parentId) {
	let data={
    idList: idList,
    parentId: parentId
  }
  return axios({
    url: "/core/base/organization/change-parent",
    method: "put",
    data: data,
    isList:true
  });
}

