import Qs from "qs";
import axios from "@/api/axios";

/********配置项接口***********/
// 获取配置项组织列表
export function getList(params) {
  return axios({
    url: "/pam/items/",
    method: "get",
    data: params
  });
}

export function getId(id) {
  return axios({
    url: "/pam/items/" + id,
    method: "get"
  });
}

//新增配置项
export function insert(params) {
  return axios({
    url: "/pam/items",
    method: "post",
    data: params
  });
}

//编辑提交
export function update(params) {
  return axios({
    url: "/pam/items",
    method: "put",
    data: params
  });
}
/********配置项接口***********/

/********分配配置项接口***********/

export function getProcess(id) {
  return axios({
    url: `/pam/items/${id}/process`,
    method: "get"
  });
}

export function getUnassignedItems(params) {
  return axios({
    url: "/pam/items/unassigned-items",
    method: "get",
    data: params
  });
}
// 拒绝配置
export function refuse(ids) {
  let data = {
    idList: ids
  }
  return axios({
    url: "/pam/items/change-refuse",
    method: "post",
    data: data,
    isList:true
  });
}
// 指派人
export function appoint(ids,users) {
  let data = {
    idList: ids,
    userIdList: users
  }
  return axios({
    url: "/pam/items/appoint",
    method: "post",
    data: data,
    isList:true
  });
}
// 指派自己
export function appointSelf(ids) {
  let data = {
    idList: ids
  }
  return axios({
    url: "/pam/items/appoint-self",
    method: "post",
    data: data,
    isList:true
  });
}
/********个人配置项接口***********/
export function getPersonList(params) {
  return axios({
    url: "/pam/items/person-items",
    method: "get",
    data: params
  });
}

export function cancelProcess(ids) {
  let data = {
    idList: ids
  }
  return axios({
    url: "/pam/items/change-cancel",
    method: "post",
    data: data,
    isList:true
  });
}

/********个人配置项接口***********/


/********所有配置项接口***********/

export function getAllList(params) {
  return axios({
    url: "/pam/items/items",
    method: "get",
    data: params
  });
}

/********所有配置项接口***********/

/********待办任务接口***********/
export function getPendingItemList(params) {
  return axios({
    url: "/pam/items/todo-items",
    method: "get",
    data: params
  });
}
// 获取oa待办
export function getOAPendingList(params) {
  return axios({
    url: "/pam/items/oa-items",
    method: "get",
    data: params
  });
}

/********所有配置项接口***********/
/********提交制定流程***********/
export function draft(params) {
  return axios({
    url: "/pam/items/draft",
    method: "put",
    data: params
  });
}
/********提交制定流程***********/
//检索用户树
export function getQueryUsersTree(userCode) {
  const data = {
    userCode: userCode
  }
  return axios({
    url: "/pam/items/query-users",
    method: "get",
    data: data
  });
}

/********配置项历史变更记录***********/

export function getHistoryList(param) {
  return axios({
    url: "/pam/approves/",
    method: "get",
    data: param
  });
}

export function sendMessage(param) {
  return axios({
    url: "/pam/approves/send",
    method: "post",
    data: {id:param}
  });
}

/********配置项历史变更记录***********/
