import axios from "@/api/axios";

// 根据id获取资源
export function getById(id, headers) {
  return axios({
    url: "/core/base/resources/" + id,
    method: "get",
    headers: headers
  });
}

// 获取资源树节点
export function getTreeNodes(root, disableId, headers) {
  return axios({
    url: "/core/base/resources/tree-nodes",
    method: "get",
    headers: headers,
    data: {root: root, disableId: disableId}
  });
}

// 获取资源分页列表
export function getList(params, headers) {
  return axios({
    url: "/core/base/resources",
    method: "get",
    headers: headers,
    data: params
  });
}

// 校验资源编码、路由地址是否重复
export function validate(params, headers) {
  return axios({
    url: "/core/base/resources/validation",
    method: "get",
    headers: headers,
    data: params
  });
}

// 新增资源表
export function insert(params, headers) {
  return axios({
    url: "/core/base/resources",
    method: "post",
    headers: headers,
    data: params
  });
}

// 修改资源表
export function update(params, headers) {
  return axios({
    url: "/core/base/resources",
    method: "put",
    headers: headers,
    data: params
  });
}

// 删除单个定时任务
export function deleteSingle(id, headers) {
  return axios({
    url: "/core/base/resources/" + id,
    method: "delete",
    headers: headers
  });
}

// 批量删除资源
export function deleteBatch(idList, headers) {
  return axios({
    url: "/core/base/resources/deletion",
    method: "post",
    isList: true,
    headers: headers,
    data: {idList: idList}
  });
}

// 修改资源激活状态
export function updateActived(id, actived, headers) {
  return axios({
    url: `/core/base/resources/${id}/actived`,
    method: "put",
    headers: headers,
    data: {actived: actived}
  });
}
