import Qs from "qs";
import axios from "@/api/axios";
// 获取角色下的用户列表
export function getList(params) {
  return axios({
    url: "/core/base/userOrgRole",
    method: "get",
    data: params
  });
}
// 批量移除角色下的用户
export function deleteBatch(roleId,ids) {
  let data = {
    roleId:roleId,
    idList: ids
  }
  return axios({
    url: "/core/base/userOrgRole/deletion",
    method: "delete",
    data: data,
    isList:true
  });
}
//给角色批量分配用户
export function insertBatch(roleId,ids) {
  let data = {
    roleId:roleId,
    idList: ids
  }
  return axios({
    url: "/core/base/userOrgRole/batch",
    method: "post",
    data: data,
    isList:true
  });
}

//未分配的用户
export function getUnassignedUsers(roleId,orgId,type){
  let data = {
    roleId:roleId,
    orgId: orgId,
    type:type,
  }
  return axios({
    url: "/core/base/userOrgRole/unassigned-users",
    method: "get",
    data: data
  });
}
