import Qs from "qs";
import axios from "@/api/axios";

// 根据id获取
export function getId(id, headers) {
  return axios({
    url: "/rpm/appresources/" + id,
    method: "get",
    headers: headers
  });
}
// 获取应用资源列表树
export function getResourceList(params, headers) {
	params.appType="system";
  return axios({
    url: "/rpm/appresources",
    method: "get",
    headers: headers,
    data: params
  });
}

// 获取应用资源列表树
export function getListSystemsResource(params) {
  return axios({
    url: "/rpm/appresources/listSystemsResource",
    method: "get",
     data: params
  });
}

// 获取应用资源列表树
export function getList(params, headers) {
  return axios({
    url: "/rpm/appresources",
    method: "get",
    headers: headers,
    data: params
  });
}
// 获取应用资源列表树
export function listSystems(){
	return axios({
    url: "/rpm/appresources/listSystems",
    method: "get",
  });
}
// 新增
export function insert(params, headers) {
  return axios({
    url: "/rpm/appresources",
    method: "post",
    headers: headers,
    data: params
  });
}

// 修改
export function update(params, headers) {
  return axios({
    url: "/rpm/appresources",
    method: "put",
    headers: headers,
    data: params
  });
}

// 删除单个定时任务
export function deleteSingle(id, headers) {
  return axios({
    url: "/rmp/appresources/" + id,
    method: "delete",
    headers: headers
  });
}

// 批量删除
export function deleteBatch(idList, headers) {
  return axios({
    url: "/rpm/appresources/deletion",
    method: "post",
    isList: true,
    headers: headers,
    data: {idList: idList}
  });
}
// 停用启用
export function changeActived(id, actived) {
  return axios({
    url: `/rpm/appresources/${id}/change-actived`,
    method: "put",
    data: {
      actived: actived
    }
  });
}
// 获取应用系统资源列表
export function listSystemEntitys(){
	return axios({
    url: "/rpm/appresources/listSystemEntitys",
    method: "get",
  });
}

// 获取应用系统+app列表
export function listSystemAndApps(){
	return axios({
    url: "/rpm/appresources/listSystemAndApps",
    method: "get",
  });
}

//导入
export function upload(params, headers) {
	return axios({
		url: "/rpm/appresources/upload",
		method: "post",
		headers: headers,
		data: params
	});
}
