import axios from "@/api/axios";

// 根据id获取
export function getById(id, headers) {
  return axios({
    url: "/rpm/components/" + id,
    method: "get",
    headers: headers
  });
}

// 获取分页列表
export function getList(params, headers) {
  return axios({
    url: "/rpm/components",
    method: "get",
    headers: headers,
    data: params
  });
}

// 新增
export function insert(params, headers) {
  return axios({
    url: "/rpm/components",
    method: "post",
    headers: headers,
    data: params
  });
}

// 修改
export function update(params, headers) {
  return axios({
    url: "/rpm/components",
    method: "put",
    headers: headers,
    data: params
  });
}

// 删除单个
export function deleteSingle(id, headers) {
  return axios({
    url: "/rpm/components/" + id,
    method: "delete",
    headers: headers
  });
}

// 批量删除
export function deleteBatch(idList, headers) {
  return axios({
    url: "/rpm/components/deletion",
    method: "post",
    isList: true,
    headers: headers,
    data: {idList: idList}
  });
}
//停用启用
export function changeActived(id, actived) {
  return axios({
    url: "/rpm/components/"+id+"/change-actived",
    method: "put",
    data: {actived: actived},
  });
}

// 全部应用系统组件树的获取
export function getComponentsTree() {
  return axios({
    url: "/rpm/components/components",
    method: "get"
  });
}


// 全部应用系统组件树的获取
export function getRoleComponentsTree(params) {
  return axios({
    url: "/rpm/components/roleComponents",
    method: "get",
    data: params
  });
}
// 全部某角色还可以配置的应用角色树（需要展示可以重复配置的组件）
export function getComponentsTreeByRoleId(params) {
  return axios({
    url: "/rpm/components/componentsByRoleId",
    method: "get",
    data: params
  });
}