import axios from "@/api/axios";

// 根据id获取
export function getById(id, headers) {
  return axios({
    url: "/rpm/modules/" + id,
    method: "get",
    headers: headers
  });
}

// 获取分页列表
export function getList(params, headers) {
  return axios({
    url: "/rpm/modules",
    method: "get",
    headers: headers,
    data: params
  });
}

// 新增
export function insert(params, headers) {
  return axios({
    url: "/rpm/modules",
    method: "post",
    headers: headers,
    data: params
  });
}

// 修改
export function update(params, headers) {
  return axios({
    url: "/rpm/modules",
    method: "put",
    headers: headers,
    data: params
  });
}

// 删除单个定时任务
export function deleteSingle(id, headers) {
  return axios({
    url: "/rpm/modules/" + id,
    method: "delete",
    headers: headers
  });
}

// 批量删除
export function deleteBatch(idList, headers) {
  return axios({
    url: "/rpm/modules/deletion",
    method: "post",
    isList: true,
    headers: headers,
    data: {idList: idList}
  });
}
