import Qs from "qs";
import axios from "@/api/axios";

// 获取角色树,root:true异步加载，false全部加载
export function getRoles(parentId, root) {
  let data = {
    parentId: parentId,
    root: root
  }
  return axios({
    url: "/core/base/tree/roles",
    method: "get",
    data: data
  });
}

// 获取岗位树节点
export function getRoleTreeNodes(root, disableId, headers) {
  return axios({
    url: "/core/base/tree/roles/tree-nodes",
    method: "get",
    headers: headers,
    data: {root: root, disableId: disableId}
  });
}

// 获取机构部门树,root:true异步加载，false全部加载
export function getInstOrgs(parentId, type, root) {
  let data = {
    parentId: parentId,
    type: type,
    root: root
  }
  return axios({
    url: "/core/base/tree/inst-orgs",
    method: "get",
    data: data
  });
}

// 获取用户树,root:true异步加载，false全部加载
export function getUsers(parentId, type, root) {
  let data = {
    parentId: parentId,
    type: type,
    root: root
  }
  return axios({
    url: "/core/base/tree/users",
    method: "get",
    data: data
  });
}

// 获取资源授权资源树节点
export function getPermissionResourceTree(principalId, headers) {
  return axios({
    url: "/core/base/tree/permission/resource/" + principalId,
    method: "get",
    headers: headers
  });
}

// 获取资源授权岗位树节点
export function getPermissionRoleTree(principalId, headers) {
  return axios({
    url: "/core/base/tree/permission/role/" + principalId,
    method: "get",
    headers: headers
  });
}
