import Qs from "qs";
import axios from "@/api/axios";
// 获取列表
export function getList(params) {
  return axios({
    url: "/ucm/ssos",
    method: "get",
    data: params
  });
}

// 新增
export function insert(params, headers) {
  return axios({
    url: "/ucm/ssos",
    method: "post",
    headers: headers,
    data: params
  });
}
// 自动代理编辑提交
export function updateAuto(params) {
  return axios({
    url: "/ucm/ssos/update-auto",
    method: "put",
    data: params
  });
}
// 不是自动代理编辑提交
export function update(params) {
  return axios({
    url: "/ucm/ssos",
    method: "put",
    data: params
  });
}
//获取当前可新增系统集合
export function getSysList(id) {
  return axios({
    url: "/ucm/ssos/uncon-fig-system",
    method: "get",
		data: {
			"id":id,
		}
  });
}
// 通过id查询应用实体
export function getId(id) {
  return axios({
    url: "/ucm/ssos/" + id,
    method: "get"
  });
}
// 删除
export function deleteBatch(ids) {
  let data = {
    idList: ids
  }
  return axios({
    url: "/ucm/ssos/deletion",
    method: "post",
    data: data,
    isList:true
  });
}
// 停用启用
export function changeActived(id, actived) {
  return axios({
    url: `/ucm/ssos/${id}/change-actived`,
    method: "put",
    data: {
      actived: actived
    }
  });
}
// 获取认证字段
export function getFiled(systemId) {
  return axios({
    url: "/ucm/ssos/fields",
    method: "get",
    data: {
      systemId: systemId
    }
  });
}
//删除字段
export function deleteBackFields(ids) {
  let data = {
    idList: ids
  }
  return axios({
    url: "/ucm/ssos/updateBackFields",
    method: "put",
    data: data,
    isList:true
  });
}
//删除单个字段
export function deleteOneFields() {
	debugger
  return axios({
    url: "/ucm/ssos/updateOneField",
    method: "put",
  });
}
//保存返回字段
export function updateField(params) {
  return axios({
    url: "/ucm/ssos/update-field",
    method: "put",
    data: params
  });
}
