import axios from "@/api/axios";

// 获取用户列表
export function getList(params) {
  return axios({
    url: "/core/base/user",
    method: "get",
    data: params
  });
}

//新增用户
export function insert(params) {
  return axios({
    url: "/core/base/user/insert",
    method: "post",
    data: params
  });
}

//编辑用户
export function update(params) {
  return axios({
    url: "/core/base/user/update",
    method: "put",
    data: params
  });
}

// 删除用户
export function deleteBatch(ids) {
  const data = {
    idList: ids
  }
  return axios({
    url: "/core/base/user/deletion",
    method: "delete",
    data: data,
    isList: true
  });
}

//停用启用
export function changeActived(id, actived) {
  return axios({
    url: "/core/base/user/" + id + "/change-actived",
    method: "put",
    data: {actived: actived}
  });
}

//重置密码
export function resetPassword(id) {
  return axios({
    url: "/core/base/user/" + id + "/reset-password",
    method: "put"
  });
}

//通过id查询用户实体
export function getId(id) {
  return axios({
    url: "/core/base/user/" + id,
    method: "get"
  });
}

// 获取登录用户信息
export function getProfile() {
  return axios({
    url: "/core/base/user/profile",
    method: "get"
  });
}

// 编辑个人中心用户
export function updateProfile(id, params) {
  debugger
  return axios({
    url: `/core/base/user/${id}/profile`,
    method: "put",
    data: params
  });
}
