import Qs from "qs";
import axios from "@/api/axios";

// 表格获取
export function getList(params) {
  return axios({
    url: "/uum/account",
    method: "get",
    data: params
  });
}

// 删除account
export function deleteBatch(idList,systemId) {
  const data = {
    idList: idList
  }
  return axios({
    url: "/uum/account/deletion",
    method: "post",
    data: data,
    isList:true
  });
}

// 主键id查询信息
export function getById(id) {
  return axios({
    url: "/uum/account/"+id,
    method: "get"
  });
}

// 新增account
export function insert(idList,systemId) {
  const data = {
    idList: idList,
    systemId:systemId
  }
  return axios({
    url: "/uum/account",
    method: "post",
    data: data,
    isList:true
  });
}

//新增所有
export function addAll(params) {
  return axios({
    url: "/uum/account/insert-all",
    method: "post",
    data: {systemId: params}
  });
}

//编辑提交
export function update(params) {
  return axios({
    url: "/uum/account",
    method: "put",
    data: params
  });
}
//新增用户树
export function getBaseOrgPersonsTree(systemId,parentId) {
  const data = {
    systemId: systemId,
    parentId: parentId,
    queryType: "add"
  }
  return axios({
    url: "/uum/account/unassigned-persons",
    method: "get",
    data: data
  });
}

//检索用户树
export function getQueryPersonsTree(systemId,personCode) {
  const data = {
    systemId: systemId,
    personCode: personCode
  }
  return axios({
    url: "/uum/account/query-persons",
    method: "get",
    data: data
  });
}

// 批量推送account
export function pushBatch(idList,systemId) {
  const data = {
    idList: idList,
    systemId:systemId
  }
  return axios({
    url: "/uum/account/push",
    method: "post",
    data: data,
    isList:true
  });
}
//导入
export function upload(params, headers) {
	return axios({
		url: "/uum/account/upload",
		method: "post",
		headers: headers,
		data: params
	});
}

// 全部推送
export function pushAll(systemId) {
  const data = {
    systemId:systemId
  }
  return axios({
    url: "/uum/account/push-all",
    method: "post",
    data: data
  });
}

//推送成功的用户树
export function getAccountTree(systemId) {
  const data = {
    systemId: systemId,
  }
  return axios({
    url: "/uum/account/list-accounts",
    method: "get",
    data: data
  });
}



// 主键id查询信息
export function getAccountId(systemId,personId) {
	const data = {
		systemId: systemId,
		personId: personId,
	}
	return axios({
		url: "/uum/account/get-accountid",
		method: "get",
		data: data
	});
}