import Qs from "qs";
import axios from "@/api/axios";
// 获取接口列表
export function getList(params) {
  return axios({
    url: "/uum/interface",
    method: "get",
    data: params
  });
}
//通过id查询接口实体
export function getId(id) {
  return axios({
    url: "/uum/interface/" + id,
    method: "get"
  });
}
//新增接口
export function insert(params, headers) {
  return axios({
    url: "/uum/interface",
    method: "post",
    headers: headers,
    data: params
  });
}
//编辑提交
export function update(params, headers) {
  return axios({
    url: "/uum/interface",
    method: "put",
    headers: headers,
    data: params
  });
}
// 修改资源激活状态
export function changeActived(id, actived, headers) {
  return axios({
    url: `/uum/interface/${id}/change-actived`,
    method: "put",
    headers: headers,
    data: {actived: actived}
  });
}
// 删除接口
export function deleteBatch(ids) {
  let data = {
    idList: ids
  }
  return axios({
    url: "/uum/interface/deletion",
    method: "post",
    data: data,
    isList:true
  });
}
