import Qs from "qs";
import axios from "@/api/axios";
// 获取列表
export function getList(params) {
  return axios({
    url: "/uum/person",
    method: "get",
    data: params
  });
}
//新增用户
export function insert(params) {
  return axios({
    url: "/uum/person",
    method: "post",
    data: params
  });
}
//通过id查询用户实体
export function getId(id) {
  return axios({
    url: "/uum/person/" + id,
    method: "get"
  });
}

//编辑用户
export function update(params) {
  return axios({
    url: "/uum/person",
    method: "put",
    data: params
  });
}
// 删除
export function deleteBatch(ids) {
  const data = {
    idList: ids
  }
  return axios({
    url: "/uum/person/deletion",
    method: "post",
    data: data,
    isList:true
  });
}
// 修改资源激活状态
export function changeActive(id, actived, headers) {
  return axios({
    url: `/uum/person/${id}/change-actived`,
    method: "put",
    headers: headers,
    data: {actived: actived}
  });
}
//科室下的所有用户
export function getAllPersons(orgId,type){
  let data = {
    orgId: orgId,
    type:type,
  }
  return axios({
    url: "/uum/person/allPersons",
    method: "get",
    data: data
  });
}
