import Qs from "qs";
import axios from "@/api/axios";
// 获取应用列表
export function getList(params) {
  return axios({
    url: "/uum/system",
    method: "get",
    data: params
  });
}
// 新增应用
export function insert(params, headers) {
  return axios({
    url: "/uum/system",
    method: "post",
    headers: headers,
    data: params
  });
}
// 删除应用
export function deleteBatch(ids) {
  let data = {
    idList: ids
  }
  return axios({
    url: "/uum/system/deletion",
    method: "post",
    data: data,
    isList:true
  });
}
// 停用启用
export function changeActive(id, actived) {
  return axios({
    url: `/uum/system/${id}/change-actived`,
    method: "put",
    data: {
      actived: actived
    }
  });
}
// 通过id查询应用实体
export function getId(id) {
  return axios({
    url: "/uum/system/" + id,
    method: "get"
  });
}
// 编辑提交
export function update(params) {
  return axios({
    url: "/uum/system",
    method: "put",
    data: params
  });
}
// 全部应用树的获取
export function getSystemTree() {
  return axios({
    url: "/uum/system/systems",
    method: "get"
  });
}
// 全部应用组织树的获取
export function getSystemOrgTree(val) {
  const data = {
    queryValue: val
  }
  return axios({
    url: "/uum/system/query-orgs",
    method: "get",
    data: data
  });
}
// 异步应用组织树的获取
export function getSyncSystemOrgTree(systemId,parentId,systemType) {
  const data = {
    systemId: systemId,
    parentId: parentId,
	systemType:systemType,
  }
  return axios({
    url: "/uum/system/system-orgs",
    method: "get",
    data: data
  });
}
// 是否角色组织关联
export function changeUnioned(id, unioned) {
  return axios({
    url: `/uum/system/${id}/change-unioned`,
    method: "put",
    data: {
      id: id,
      unioned: unioned
    }
  });
}

/**
 * 获取人员关联的应用系统树
 */
export function getSystemNodesByPersonId(personId) {
  const data = {
    personId: personId
  }
  return axios({
    url: "/uum/system/systemNodesByPersonId",
    method: "get",
    data: data
  });
}

// 新增应用
export function getMaxWeight() {
  return axios({
    url: "/uum/system/max-weight",
    method: "get"
  });
}