import Qs from "qs";
import axios from "@/api/axios";

//表格获取
export function getList(params) {
  return axios({
    url: "/uum/systemorg",
    method: "get",
    data: params
  });
}

// 删除应用组织
export function deleteBatch(id) {
  const data = {
    idList: id
  }
  return axios({
    url: "/uum/systemorg/deletion",
    method: "post",
    data: data,
	isList:true
  });
}

// 通过id查询应用组织
export function getId(id) {
  return axios({
    url: "/uum/systemorg/" + id,
    method: "get"
  });
}

//编辑提交
export function update(params, headers) {
  return axios({
    url: "/uum/systemorg",
    method: "put",
    headers: headers,
    data: params
  });
}

// 新增应用组织
export function insert(params) {
  return axios({
    url: "/uum/systemorg",
    method: "post",
    data: params
  });
}

//新增所有
export function addAll(params) {
  return axios({
    url: "/uum/systemorg/insert-all",
    method: "post",
    data: {systemId: params}
  });
}

//组织树
export function getSysOrgTree(systemId,sysOrgId) {
  const data = {
    systemId: systemId,
	sysOrgId: sysOrgId,
  }
  return axios({
    url: "/uum/systemorg/orgs",
    method: "get",
    data: data
  });
}

//组织-location树
export function getSysLocationOrgTree(params,accountId) {
  const data = {
    systemId: params,
    accountId: accountId
  }
  return axios({
    url: "/uum/systemorg/org-locations",
    method: "get",
    data: data
  });
}

//新增组织树
export function getAddOrgTree(params) {
  const data = {
    systemId: params
  }
  return axios({
    url: "/uum/systemorg/unassigned-orgs",
    method: "get",
    data: data
  });
}

// 批量推送
export function pushBatch(idList,systemId) {
  const data = {
    idList: idList,
    systemId:systemId
  }
  return axios({
    url: "/uum/systemorg/push",
    method: "post",
    data: data,
    isList:true
  });
}
//导入
export function upload(params, headers) {
	return axios({
		url: "/uum/systemorg/upload",
		method: "post",
		headers: headers,
		data: params
	});
}
// 全部推送
export function pushAll(systemId) {
  const data = {
    systemId:systemId
  }
  return axios({
    url: "/uum/systemorg/push-all",
    method: "post",
    data: data
  });
}
