import Qs from "qs";
import axios from "@/api/axios";
// 获取系统角色树列表
export function getlistSystemRoles() {
	return axios({
		url: "/uum/systemrole/systemRole",
		method: "get"
	});
}
// 获取角色列表
export function getList(params) {
	return axios({
		url: "/uum/systemrole",
		method: "get",
		data: params
	});
}
//新增角色
export function insert(params, headers) {
	return axios({
		url: "/uum/systemrole",
		method: "post",
		headers: headers,
		data: params
	});
}
//编辑提交
export function update(params, headers) {
	return axios({
		url: "/uum/systemrole",
		method: "put",
		headers: headers,
		data: params
	});
}
//通过id查询角色实体
export function getId(id) {
	return axios({
		url: "/uum/systemrole/" + id,
		method: "get"
	});
}
// 删除角色
export function deleteBatch(ids) {
	let data = {
		idList: ids
	}
	return axios({
		url: "/uum/systemrole/deletion",
		method: "post",
		data: data,
		isList: true
	});
}

// 获取应用角色
export function getSystemRoles(params) {
  const data = {
    systemId: params
  }
	return axios({
		url: "/uum/systemrole/list-roles",
		method: "get",
		data: data
	});
}
// 获取OA角色
export function getOARoles() {
	return axios({
		url: "/uum/systemrole/list-oaroles",
		method: "get"
	});
}

//导入
export function upload(params, headers) {
	return axios({
		url: "/uum/systemrole/upload",
		method: "post",
		headers: headers,
		data: params
	});
}
// 同步
export function syncRole(params) {
	return axios({
		url: "/uum/systemrole/sync-role",
		method: "post",
		data: params
	});
}
// 获取应用角色
export function getSystemRolesByAccount(params,accountId) {
  const data = {
    systemId: params,
    accountId:accountId
  }
	return axios({
		url: "/uum/systemrole/listRolesByAccount",
		method: "get",
		data: data
	});
}
