/**
 * 输入联想组件，继承Item
 */

import {Autocomplete} from 'element-ui'
import Item from '../Item'

export default {
  name: 'MAutocomplete',
  mixins: [Item],
  components: {
    Autocomplete
  },
  props: {
    value: String
  },
  render() {
    const scopedSlots = this.$scopedSlots.default
      ? {
        default: (props) => {
          return this.$scopedSlots.default(props)
        }
        
      }
      : null;
    
    const vnode = (
      <Autocomplete ref="comp"
                    {
                      ...{
                        props: this.innerProps,
                        on: {
                          ...this.$listeners
                        },
                        attrs: this.innerProps,
                        scopedSlots: scopedSlots
                      }
                    }
                    vModel={this.fieldValue}>
        
        {this.createSlots(['prefix', 'suffix', 'prepend', 'append'])}
      </Autocomplete>
    )
    
    return this.renderComponent(vnode)
  },
  mounted() {
    this.extendMethods(this.$refs.comp, ['focus'])
  }
  
}
