/**
 * 颜色选择器组件，继承Item
 */

import item from "../Item";

export default {
  name: "MColor",
  mixins: [item],
  props: {
    value: String,
    predefine: {
      type: [Array],
      default: ()=>[
        "#409EFF",
        "#1890ff",
        "#304156",
        "#212121",
        "#11a983",
        "#13c2c2",
        "#6959CD",
        "#f5222d"
      ]
    }
  },
  computed: {
    currentProps() {
      return { predefine: this.predefine, ...this.innerProps };
    }
  },
  render() {
    const vnode = (
      <el-color-picker
        ref="comp"
        {...{
          props: this.currentProps,
          on: this.$listeners,
          attrs: this.currentProps
        }}
        vModel={this.fieldValue}
      ></el-color-picker>
    );

    return this.renderComponent(vnode);
  }
};
