/**
 * DatePicker,TimePicker, TimeSelect三合一组件，继承Item
 */

import item from "../Item";

export default {
  name: 'MDateTime',
  mixins: [item],
  props: {
    value: [Date, String, Number, Array],
    type: {
      type: String,
      default: 'date',
      validator(val) {
        return ['time', 'timeSelect', 'date', 'dateTime'].includes(val)
      }
    }
  },
  methods: {},
  render() {
    let vnode = null
    if (this.type === 'date') {
      vnode = (
        <el-date-picker ref="comp"
                    {...{props: this.innerProps, on: this.$listeners, attrs: this.innerProps}}
                    vModel={this.fieldValue}>
        </el-date-picker>
      )
    } else if (this.type === 'dateTime') {
      vnode = (
        <el-date-picker ref="comp"
                    {...{props: this.innerProps, on: this.$listeners, attrs: this.innerProps}}
                    type="datetime"
                    vModel={this.fieldValue}>
        </el-date-picker>
      )
    } else if (this.type === 'time') {
      vnode = (
        <el-time-picker ref="comp"
                    {...{props: this.innerProps, on: this.$listeners, attrs: this.innerProps}}
                    vModel={this.fieldValue}>
        </el-time-picker>
      )
    } else if (this.type === 'timeSelect') {
      vnode = (
        <el-time-select ref="comp"
                    {...{props: this.innerProps, on: this.$listeners, attrs: this.innerProps}}
                    vModel={this.fieldValue}>
        </el-time-select>
      )
    }
    
    
    return this.renderComponent(vnode)
  },
  mounted() {
    this.extendMethods(this.$refs.comp, ['focus'])
  }
  
}
