/**
 * 可编辑表格组件，继承Item
 */

import item from "../Item";
import EditTable from '../common/EditTable'

export default {
  name: 'MEditTable',
  mixins: [item],
  components: {
    EditTable
  },
  props: {
    fields: {
      type: Array,
      required: true
    }
  },
  computed: {
    inputSize() {
      if (this.size) return this.size
      if (this.mForm) {
        return this.mForm.$attrs.size || ''
      }
      return ''
    }
  },
  render() {
    const vnode = (
      <EditTable ref="comp"
                 {...{
                   props: {...this.innerProps, size: this.inputSize, fields: this.fields},
                   on: {
                     ...this.$listeners
                   }
                 }}
                 size={this.inputSize}
                 vModel={this.fieldValue}>
      </EditTable>
    )
    return this.renderComponent(vnode)
  }
}
