/**
 * 文本框组件，继承item, 支持 el-input 的属性、事件、方法
 */

 import item from "../Item";

/**
 * 插槽
 * @member slots
 * @property {string} prefix 输入框头部内容 textarea=false 有效
 * @property {string} suffix 输入框尾部内容 textarea=false 有效
 * @property {string} prepend 输入框前置内容 textarea=false 有效
 * @property {string} append 输入框后置内容 textarea=false 有效
 */
export default {
  name: "MInput",
  mixins: [item],
  render() {
    const vnode = (
      <el-input
        ref="comp"
        {...{
          props: this.innerProps,
          on: this.$listeners,
          attrs: this.innerProps
        }}
        vModel={this.fieldValue}
        clearable
      >
        {this.createSlots(["prefix", "suffix", "prepend", "append"])}
      </el-input>
    );
    return this.renderComponent(vnode);
  },
  mounted() {
    this.extendMethods(this.$refs.comp, ["focus", "blur", "select"]);
  }
};
