/**
 * 标签输入框组件，继承Item
 */

import item from "../Item";
import TagInput from '../common/TagInput'

export default {
  name: 'MTagInput',
  mixins: [item],
  components: {
    TagInput
  },
  props: {
    value: Array
  },
  methods: {
    getDefaultValue() {
      return []
    },
    handleChange(val) {
      if (val && val.length) {
        this.clearValidate()
      }
      this.$emit('change', val)
    }
  },
  computed: {
    inputSize() {
      if (this.size) return this.size
      if (this.mForm) {
        return this.mForm.$attrs.size || ''
      }
      return ''
    }
  },
  render() {
    const vnode = (
      <TagInput ref="comp"
                {...{
                  props: {...this.innerProps, size: this.inputSize},
                  on: {
                    ...this.$listeners,
                    change: this.handleChange
                  }
                }}
                size={this.inputSize}
                vModel={this.fieldValue}>
      </TagInput>
    )
    
    return this.renderComponent(vnode)
  },
  mounted() {
    this.extendMethods(this.$refs.comp, ['focus', 'blur'])
  }
}
