/**
 * 可编辑表格组件，继承Item
 */

import item from "../Item";
import Upload from '../common/Upload'

export default {
  name: 'MUpload',
  mixins: [item],
  components: {
    Upload
  },
  props: {
    // 上传url
    url: {
      type: String,
      required: true
    },
    // 额外的参数
    params: {
      type: Object,
      default: () => {
      }
    },
    // 接受的文件类型，形如'.xls, .xlsx'
    accept: {
      type: String,
      default: ''
    }
  },
  computed: {
    inputSize() {
      if (this.size) return this.size
      if (this.mForm) {
        return this.mForm.$attrs.size || ''
      }
      return ''
    }
  },
  render() {
    const vnode = (
      <Upload ref="comp"
              {...{
                props: {
                  ...this.innerProps, size: this.inputSize, url: this.url,
                  params: this.params, accept: this.accept
                },
                on: {
                  ...this.$listeners
                }
              }}
              size={this.inputSize}
              vModel={this.fieldValue}>
      </Upload>
    )
    return this.renderComponent(vnode)
  }
}
