const tabelProps = {
  // table组件参数
  // 数据接口api
  api: {
    type: Function
  },
  // 请求头
  headers: {
    type: Object,
    default: () => {
      return {}
    }
  },
  // 当请求远程数据时，发送的额外参数
  searchParams: {
    type: Object,
    default: () => {
      return {}
    }
  },
  // 返回数据属性名
  listField: {
    type: String,
    default: 'rows'
  },
  // 返回数据总数属性名
  totalField: {
    type: String,
    default: 'total'
  },
  // 列信息
  columns: {
    type: Array,
    default: () => {
      return []
    }
  },
  // 是否采用card包装
  cardContainer: {
    type: Boolean,
    default: () => {
      return false
    }
  },
  // 是否要高亮当前行
  highlightCurrentRow: {
    type: Boolean,
    default: () => {
      return true
    }
  },
  // 工具区域样式
  toolStyle: {
    type: [JSON],
    default: null
  },
  // 查询区域样式
  queryStyle: {
    type: [JSON],
    default: null
  },
  // 是否显示pagination
  showPagination: {
    type: Boolean,
    default: true
  },
  // pagination区域样式
  paginationStyle: {
    type: [String, JSON],
    default: 'padding:1px 0px;'
  },
  // 设置表格的高度，默认0自动高度
  height: {
    type: Number,
    default: () => {
      return 0
    }
  },
  // tableId
  tableId: {
    type: String,
    default: function() {
      return ''
    }
  },
  // pageNationId
  pageNationId: {
    type: String,
    default: function() {
      return ''
    }
  },
  // rowKey当渲染树形数据时，必须指定 rowKey
  rowKey: {
    type: String,
    default: function() {
      return ''
    }
  },
  // 树的根节点，parentId的值
  root: {
    type: [String, Number],
    default: null
  },
  // 通过指定 row 中的 hasChildren 字段来指定哪些行是包含子节点。children 与 hasChildren 都可以通过 tree-props 配置。
  // 例如：{children: 'children', hasChildren: 'hasChildren'}
  treeProps: {
    type: Object,
    default: function() {
      return { children: 'children', hasChildren: 'hasChildren' }
    }
  },
  defaultExpandAll: {
    type: Boolean,
    default: function() {
      return false
    }
  },
  defaultSort: {
    type: Object,
    default: null
  }
}

export default tabelProps
