import SmartWidgetGrid from './components/SmartWidgetGrid'
import SmartWidget from './components/SmartWidget'

const VueSmartWidget = {
    SmartWidget,
    SmartWidgetGrid
}

export function install(Vue) {
    if (install.installed) return;
    install.installed = true;
    Object.keys(VueSmartWidget).forEach(name => {
        Vue.component(name, VueSmartWidget[name]);
    });
}

const plugin = {
    install,
};

let GlobalVue = null;
if (typeof window !== 'undefined') {
    GlobalVue = window.Vue;
} else if (typeof global !== 'undefined') {
    GlobalVue = global.Vue;
}
if (GlobalVue) {
    GlobalVue.use(plugin);
}

export default VueSmartWidget;
export { SmartWidget, SmartWidgetGrid };
