
import Constant from '@/utils/constant'
import * as CommonUtil from '@/utils/commonUtil'
import * as CryptoUtil from '@/utils/cryptoUtil'
import * as MsgUtil from '@/utils/msgUtil'
import * as StorageUtil from '@/utils/storageUtil'
import * as ValidateUtil from '@/utils/validateUtil'
import * as TokenUtil from '@/utils/tokenUtil'
import * as TreeUtil from '@/utils/treeUtil'
import * as AuthUtil from '@/utils/authUtil'
import LoadingUtil from '@/utils/loadingUtil'
import api from "@/api/api"

const Mediway = {
    // 所有api接口
    api: api,
    // 基础认证
    auth: AuthUtil,
    // 基础url
    baseURL: Constant.baseURL,
    // 加密解密
    crypto: CryptoUtil,
    // loading遮罩
    loading: LoadingUtil,
    // 各种提示工作
    msg: MsgUtil,
    // 数据存储
    storage: StorageUtil,
    // 数据校验
    valid: ValidateUtil,
    // token工具
    token: TokenUtil,
    // tree工具
    tree: TreeUtil,
    // common
    ...CommonUtil
}
export default Mediway
