import Mock from 'mockjs'
import Constant from '@/utils/constant'
import * as base from './modules/base'
import * as resource from './modules/resource'

// 1. 开启/关闭[所有模块]拦截, 通过调[globalMock参数]设置.
// 2. 开启/关闭[业务模块]拦截, 通过调用fnCreate方法[isOpen参数]设置.
// 3. 开启/关闭[业务模块中某个请求]拦截, 通过函数返回对象中的[isOpen属性]设置.
let globalMock = process.env.VUE_APP_MOCK
if (globalMock === 'true') {
  fnCreate(base,false)
  fnCreate(resource,false)//现在这个数据还不可用，需要自己改
}

/**
 * 创建mock模拟数据
 * @param {*} mod 模块
 * @param {*} isOpen 是否开启?
 */
function fnCreate(mod, isOpen = true) {

  if (isOpen) {
    for (var key in mod) {
      ((res) => {
        if (res.isOpen !== false) {
          let url = Constant.baseURL
          if (url.endsWith("/")) {
            url = url.substr(0, url.length - 1)
          }
          url = url + res.url
          Mock.mock(new RegExp(url), res.method, (opts) => {
            opts['data'] = opts.body
            delete opts.body
            console.log('\n')
            console.log('%cmock拦截, 请求: ', 'color:blue', opts)
            console.log('%cmock拦截, 响应: ', 'color:blue', res.data)
            return res.data
          })
        }
      })(mod[key]() || {})
    }
  }
}