
// 根据id获取资源对象
export function getResourceById(id) {
  return {
    url: "/core/resource/" + id,
    method: "get"
  };
}

// 获取级联选择数据
export function cascader(excludeId, headers) {
  return {
    url: "/core/resource/cascader",
    method: "get",
    headers: headers,
    data: {excludeId: excludeId}
  };
}

// 校验资源编码、路由地址是否重复
export function validate(params, headers) {
  return {
    url: "/core/resource/validate",
    method: "get",
    headers: headers,
    data: params
  };
}

// 获取资源表列表
export function getList(params, headers) {
  return {
    url: "/core/resource",
    method: "get",
    headers: headers,
    data: params
  };
}

// 新增资源表
export function insert(params, headers) {
  return {
    url: "/core/resource",
    method: "post",
    headers: headers,
    data: Qs.stringify(params, {indices: false})
  };
}

// 修改资源表
export function update(params, headers) {
  return {
    url: "/core/resource",
    method: "put",
    headers: headers,
    data: Qs.stringify(params, {indices: false})
  };
}

// 批量删除资源
export function deleteBatch(ids, headers) {
  return {
    url: "/core/resource",
    method: "delete",
    headers: headers,
    data: Qs.stringify({idList: ids}, {indices: false})
  };
}

// 更改资源激活状态
export function changeActive(params, headers) {
  return {
    url: "/core/resource/active",
    method: "put",
    headers: headers,
    data: params
  };
}
