import { constantRoutes } from '@/router'

const resource = {
  state: {
    allRoutes: [],//所有的路由，加上公共的
    dynamicRoutes: [],//动态加载的路由，不包含公共的
    sidebarRouters: []//侧边路由，默认是所有路由
  },
  mutations: {
    SET_ALL_ROUTES: (state, routes) => {
      state.allRoutes = constantRoutes.concat(routes)
    },
    SET_DYNAMIC_ROUTERS: (state, routes) => {
      state.dynamicRoutes = routes
    },
    SET_SIDEBAR_ROUTERS: (state, routes) => {
      state.sidebarRouters = routes
    },
  },
  actions: {
    // 生成路由
    initRoutes({ commit },loadedRoutes) {
      return new Promise(resolve => {
          commit('SET_ALL_ROUTES', loadedRoutes)
          commit('SET_SIDEBAR_ROUTERS', constantRoutes.concat(loadedRoutes))
          commit('SET_DYNAMIC_ROUTERS', loadedRoutes)
          resolve(loadedRoutes)
      })
    }
  }
}

export default resource
