/**
 * 以下是常量
 */
const Constant = {
  // 基础url
  baseURL: process.env.VUE_APP_BASE_API,
  // 登录类型
  loginType: process.env.VUE_APP_LOGIN_TYPE,
  // oauth路径
  oauthServerUrl: process.env.VUE_APP_OAUTH_SERVER_URL,
  // oauth的client_url
  oauthClientUrl: process.env.VUE_APP_OAUTH_CLIENT_URL,
  // oauth的client_id
  oauthClientId: process.env.VUE_APP_OAUTH_CLIENT_ID,
  // 访问token(请求到后台)
  requestTokenKey: "x_token",
  // 访问token
  tokenKey: "x_framework_token",
  // 刷新token(请求到后台)
  requestRefreshTokenKey: "x_refresh_token",
  // 刷新token
  refreshTokenKey: "x_framework_refresh_token",
  // 设备标识
  equipmentKey: "x_equipment",
  // 时间戳
  timestampKey: "x_timestamp",
  // 一次性随机数
  nonceKey: "x_nonce",
  // 签名sign
  signatureKey: "x_signature",
  httpCode: {
    // 正常请求
    OK: 200,
    // 请求参数有问题
    BAD_REQUEST: 400,
    // 未认证（没登录）
    UNAUTHORIZED: 401,
    // 未授权（无权限）
    NOT_PERMISSION: 403,
    // 没有该资源
    NOT_FOUND: 404,
    // 内部错误
    INTERNAL_SERVER_ERROR: 500,
    // token失效
    TOKEN_FAILURE: 4001
  },
  openType:process.env.VUE_APP_OPEN_TYPE
};

export default Constant;
