import Cookies from "js-cookie";
import Constant from "./constant";

/**
 * Token工具
 */
export function getToken() {
  return Cookies.get(Constant.tokenKey);
}

export function setToken(token) {
  return Cookies.set(Constant.tokenKey, token);
}

export function removeToken() {
  return Cookies.remove(Constant.tokenKey);
}

export function getRefreshToken() {
  return Cookies.get(Constant.refreshTokenKey);
}

export function setRefreshToken(refreshtoken) {
  return Cookies.set(Constant.refreshTokenKey, refreshtoken);
}

export function removeRefreshToken() {
  return Cookies.remove(Constant.refreshTokenKey);
}

export function getAllToken() {
  return {
    token: getToken(),
    refreshToken: getRefreshToken()
  };
}

export function setAllToken(token, refreshtoken) {
  setToken(token);
  setRefreshToken(refreshtoken);
}

export function removeAllToken() {
  removeToken();
  removeRefreshToken();
}
